<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lantone.security.mapper.OperationLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.lantone.security.entity.OperationLog">
        <id column="id" property="id"/>
        <result column="operation_id" property="operationId"/>
        <result column="operation_name" property="operationName"/>
        <result column="operation_date" property="operationDate"/>
        <result column="operation_record" property="operationRecord"/>
        <result column="operation_ip" property="operationIp"/>
        <result column="operation_address" property="operationAddress"/>
        <result column="operation_method" property="operationMethod"/>
        <result column="operation_way" property="operationWay"/>
        <result column="operation_url" property="operationUrl"/>
        <result column="operation_param" property="operationParam"/>
        <result column="json_result" property="jsonResult"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="gmt_create" property="gmtCreate"/>
        <result column="gmt_modified" property="gmtModified"/>
        <result column="creator" property="creator"/>
        <result column="modifier" property="modifier"/>
        <result column="remark" property="remark"/>
    </resultMap>

</mapper>